# Makefile.in generated by automake 1.11.1 from Makefile.am.
# examples/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.





pkgdatadir = $(datadir)/pygtk
pkgincludedir = $(includedir)/pygtk
pkglibdir = $(libdir)/pygtk
pkglibexecdir = $(libexecdir)/pygtk
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = amd64-portbld-freebsd9.1
host_triplet = amd64-portbld-freebsd9.1
subdir = examples
DIST_COMMON = $(demo_PYTHON) $(pygtklib_PYTHON) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(demodir)" \
	"$(DESTDIR)$(pygtklibdir)" "$(DESTDIR)$(demoimgdir)"
SCRIPTS = $(bin_SCRIPTS)
SOURCES =
DIST_SOURCES =
py_compile = $(top_srcdir)/py-compile
DATA = $(demoimg_DATA)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /magus/work/usr/mports/x11-toolkits/py-gtk2/work/pygtk-2.24.0/missing --run aclocal-1.11 
ACLOCAL_AMFLAGS = -I m4 -I .
AMTAR = ${SHELL} /magus/work/usr/mports/x11-toolkits/py-gtk2/work/pygtk-2.24.0/missing --run tar
AR = ar
AS = as
ATK_CFLAGS = -I/usr/local/include/atk-1.0 -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include  
ATK_LIBS = -L/usr/local/lib -latk-1.0 -lgobject-2.0 -lglib-2.0 -lintl
AUTOCONF = ${SHELL} /magus/work/usr/mports/x11-toolkits/py-gtk2/work/pygtk-2.24.0/missing --run autoconf
AUTOHEADER = ${SHELL} /magus/work/usr/mports/x11-toolkits/py-gtk2/work/pygtk-2.24.0/missing --run autoheader
AUTOMAKE = ${SHELL} /magus/work/usr/mports/x11-toolkits/py-gtk2/work/pygtk-2.24.0/missing --run automake-1.11
AWK = /usr/bin/awk
CC = cc
CCDEPMODE = depmode=gcc3
CFLAGS = -O2 -pipe  -fno-strict-aliasing -Wall -std=c9x
CODEGENDIR = /usr/local/share/pygobject/2.0/codegen
CPP = cpp
CPPFLAGS = -I/usr/local/include 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = dlltool
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/egrep
EXEEXT = 
FGREP = /usr/bin/fgrep
GLIB_CFLAGS = -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include -pthread  
GLIB_GENMARSHAL = glib-genmarshal
GLIB_LIBS = -L/usr/local/lib -lgobject-2.0 -lgthread-2.0 -pthread -lglib-2.0 -lintl
GLIB_MKENUMS = glib-mkenums
GOBJECT_QUERY = gobject-query
GREP = /usr/bin/grep
GTK210_CFLAGS = -I/usr/local/include/gtk-2.0 -I/usr/local/include/pango-1.0 -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include -I/usr/local/include/cairo -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/libpng16 -I/usr/local/include/gdk-pixbuf-2.0 -I/usr/local/include/atk-1.0 -D_THREAD_SAFE -pthread  -I/usr/local/include/harfbuzz  
GTK210_LIBS = -L/usr/local/lib -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lcairo -pthread -lgdk_pixbuf-2.0 -lgio-2.0 -lpangoft2-1.0 -lpango-1.0 -lgobject-2.0 -lglib-2.0 -lintl -lfontconfig -lfreetype  
GTK212_CFLAGS = -I/usr/local/include/gtk-2.0 -I/usr/local/include/pango-1.0 -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include -I/usr/local/include/cairo -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/libpng16 -I/usr/local/include/gdk-pixbuf-2.0 -I/usr/local/include/atk-1.0 -D_THREAD_SAFE -pthread  -I/usr/local/include/harfbuzz  
GTK212_LIBS = -L/usr/local/lib -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lcairo -pthread -lgdk_pixbuf-2.0 -lgio-2.0 -lpangoft2-1.0 -lpango-1.0 -lgobject-2.0 -lglib-2.0 -lintl -lfontconfig -lfreetype  
GTK214_CFLAGS = -I/usr/local/include/gtk-2.0 -I/usr/local/include/pango-1.0 -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include -I/usr/local/include/cairo -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/libpng16 -I/usr/local/include/gdk-pixbuf-2.0 -I/usr/local/include/atk-1.0 -D_THREAD_SAFE -pthread  -I/usr/local/include/harfbuzz  
GTK214_LIBS = -L/usr/local/lib -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lcairo -pthread -lgdk_pixbuf-2.0 -lgio-2.0 -lpangoft2-1.0 -lpango-1.0 -lgobject-2.0 -lglib-2.0 -lintl -lfontconfig -lfreetype  
GTK216_CFLAGS = -I/usr/local/include/gtk-2.0 -I/usr/local/include/pango-1.0 -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include -I/usr/local/include/cairo -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/libpng16 -I/usr/local/include/gdk-pixbuf-2.0 -I/usr/local/include/atk-1.0 -D_THREAD_SAFE -pthread  -I/usr/local/include/harfbuzz  
GTK216_LIBS = -L/usr/local/lib -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lcairo -pthread -lgdk_pixbuf-2.0 -lgio-2.0 -lpangoft2-1.0 -lpango-1.0 -lgobject-2.0 -lglib-2.0 -lintl -lfontconfig -lfreetype  
GTK218_CFLAGS = -I/usr/local/include/gtk-2.0 -I/usr/local/include/pango-1.0 -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include -I/usr/local/include/cairo -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/libpng16 -I/usr/local/include/gdk-pixbuf-2.0 -I/usr/local/include/atk-1.0 -D_THREAD_SAFE -pthread  -I/usr/local/include/harfbuzz  
GTK218_LIBS = -L/usr/local/lib -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lcairo -pthread -lgdk_pixbuf-2.0 -lgio-2.0 -lpangoft2-1.0 -lpango-1.0 -lgobject-2.0 -lglib-2.0 -lintl -lfontconfig -lfreetype  
GTK220_CFLAGS = -I/usr/local/include/gtk-2.0 -I/usr/local/include/pango-1.0 -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include -I/usr/local/include/cairo -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/libpng16 -I/usr/local/include/gdk-pixbuf-2.0 -I/usr/local/include/atk-1.0 -D_THREAD_SAFE -pthread  -I/usr/local/include/harfbuzz  
GTK220_LIBS = -L/usr/local/lib -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lcairo -pthread -lgdk_pixbuf-2.0 -lgio-2.0 -lpangoft2-1.0 -lpango-1.0 -lgobject-2.0 -lglib-2.0 -lintl -lfontconfig -lfreetype  
GTK222_CFLAGS = -I/usr/local/include/gtk-2.0 -I/usr/local/include/pango-1.0 -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include -I/usr/local/include/cairo -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/libpng16 -I/usr/local/include/gdk-pixbuf-2.0 -I/usr/local/include/atk-1.0 -D_THREAD_SAFE -pthread  -I/usr/local/include/harfbuzz  
GTK222_LIBS = -L/usr/local/lib -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lcairo -pthread -lgdk_pixbuf-2.0 -lgio-2.0 -lpangoft2-1.0 -lpango-1.0 -lgobject-2.0 -lglib-2.0 -lintl -lfontconfig -lfreetype  
GTK224_CFLAGS = -I/usr/local/include/gtk-2.0 -I/usr/local/include/pango-1.0 -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include -I/usr/local/include/cairo -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/libpng16 -I/usr/local/include/gdk-pixbuf-2.0 -I/usr/local/include/atk-1.0 -D_THREAD_SAFE -pthread  -I/usr/local/include/harfbuzz  
GTK224_LIBS = -L/usr/local/lib -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lcairo -pthread -lgdk_pixbuf-2.0 -lgio-2.0 -lpangoft2-1.0 -lpango-1.0 -lgobject-2.0 -lglib-2.0 -lintl -lfontconfig -lfreetype  
GTKUNIXPRINT_CFLAGS = -I/usr/local/include/gtk-unix-print-2.0 -I/usr/local/include/gtk-2.0 -I/usr/local/include/pango-1.0 -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include -I/usr/local/include/cairo -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/libpng16 -I/usr/local/include/gdk-pixbuf-2.0 -I/usr/local/include/atk-1.0 -I/usr/local/include/harfbuzz -D_THREAD_SAFE -pthread   
GTKUNIXPRINT_LIBS = -L/usr/local/lib -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lcairo -pthread -lgdk_pixbuf-2.0 -lgio-2.0 -lpangoft2-1.0 -lpango-1.0 -lgobject-2.0 -lglib-2.0 -lintl -lfontconfig -lfreetype
GTK_CFLAGS = -I/usr/local/include/gtk-2.0 -I/usr/local/include/pango-1.0 -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include -I/usr/local/include/cairo -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/libpng16 -I/usr/local/include/gdk-pixbuf-2.0 -I/usr/local/include/atk-1.0 -D_THREAD_SAFE -pthread  -I/usr/local/include/harfbuzz  
GTK_LIBS = -L/usr/local/lib -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lcairo -pthread -lgdk_pixbuf-2.0 -lgio-2.0 -lpangoft2-1.0 -lpango-1.0 -lgobject-2.0 -lglib-2.0 -lintl -lfontconfig -lfreetype
HAVE_GTK_2_10 = 
HAVE_GTK_2_12 = 
HAVE_GTK_2_14 = 
HAVE_GTK_2_16 = 
HAVE_GTK_2_18 = 
HAVE_GTK_2_20 = 
HAVE_GTK_2_22 = 
HAVE_GTK_2_24 = 
INSTALL = /usr/bin/install -c -o root -g wheel
INSTALL_DATA = install  -o root -g wheel -m 444
INSTALL_PROGRAM = install  -s -o root -g wheel -m 555
INSTALL_SCRIPT = install  -o root -g wheel -m 555
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld
LDFLAGS =  -L/usr/local/lib -pthread
LIBGLADE_CFLAGS = -I/usr/local/include/libglade-2.0 -I/usr/local/include/gtk-2.0 -I/usr/local/include/pango-1.0 -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include -I/usr/local/include/cairo -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/libpng16 -I/usr/local/include/gdk-pixbuf-2.0 -I/usr/local/include/atk-1.0 -D_THREAD_SAFE -pthread  -I/usr/local/include/harfbuzz -I/usr/local/include/libxml2  
LIBGLADE_LIBS = -L/usr/local/lib -lglade-2.0 -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lcairo -pthread -lgdk_pixbuf-2.0 -lgio-2.0 -lpangoft2-1.0 -lpango-1.0 -lgobject-2.0 -lglib-2.0 -lintl -lfontconfig -lfreetype -lxml2
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /magus/work/usr/mports/x11-toolkits/py-gtk2/work/pygtk-2.24.0/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = pygtk
PACKAGE_BUGREPORT = http://bugzilla.gnome.org/enter_bug.cgi?product=pygtk
PACKAGE_NAME = pygtk
PACKAGE_STRING = pygtk 2.24.0
PACKAGE_TARNAME = pygtk
PACKAGE_URL = 
PACKAGE_VERSION = 2.24.0
PANGOCAIRO_CFLAGS = -I/usr/local/include/pango-1.0 -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include -pthread -I/usr/local/include/cairo -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/libpng16 -I/usr/local/include/pycairo  -D_THREAD_SAFE  
PANGOCAIRO_LIBS = -L/usr/local/lib -lpangocairo-1.0 -lpango-1.0 -lgobject-2.0 -lglib-2.0 -lintl -lcairo -pthread
PANGO_CFLAGS = -I/usr/local/include/pango-1.0 -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include -pthread  
PANGO_LIBS = -L/usr/local/lib -lpango-1.0 -lgobject-2.0 -lglib-2.0 -lintl
PATH_SEPARATOR = :
PKG_CONFIG = pkgconf
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
PYCAIRO_CFLAGS = -I/usr/local/include/pycairo -I/usr/local/include/cairo -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2  -I/usr/local/include/libpng16 -D_THREAD_SAFE  
PYCAIRO_LIBS = -L/usr/local/lib -lcairo -pthread  
PYGOBJECT_CFLAGS = -I/usr/local/include/pygtk-2.0 -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include -I/usr/local/lib/libffi-3.2.1/include  
PYGOBJECT_DATADIR = /usr/local/share
PYGOBJECT_DEFSDIR = /usr/local/share/pygobject/2.0/defs
PYGOBJECT_FIXXREF = /usr/local/bin/python2.7 /usr/local/share/pygobject/xsl/fixxref.py
PYGOBJECT_INCLUDEDIR = /usr/local/include/pygtk-2.0
PYGOBJECT_LIBS = -L/usr/local/lib -lgobject-2.0 -lglib-2.0 -lintl  
PYGOBJECT_PYGDOCS = /usr/local/share/doc/pygobject
PYGTK_CODEGEN_DEFINES = -DHAVE_PYCAIRO  -DHAVE_GTK_2_12 -DHAVE_GTK_2_14 -DHAVE_GTK_2_16 -DHAVE_GTK_2_18 -DHAVE_GTK_2_20 -DHAVE_GTK_2_22 -DHAVE_GTK_2_24 -DGDK_TARGET_X11
PYGTK_MAJOR_VERSION = 2
PYGTK_MICRO_VERSION = 0
PYGTK_MINOR_VERSION = 24
PYTHON = /usr/local/bin/python2.7
PYTHON_EXEC_PREFIX = ${exec_prefix}
PYTHON_INCLUDES = -I/usr/local/include/python2.7 -I/usr/local/include/python2.7
PYTHON_PLATFORM = midnightbsd0
PYTHON_PREFIX = ${prefix}
PYTHON_VERSION = 2.7
RANLIB = ranlib
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
THREADING_CFLAGS = 
VERSION = 2.24.0
XSLTPROC = 
abs_builddir = /magus/work/usr/mports/x11-toolkits/py-gtk2/work/pygtk-2.24.0/examples
abs_srcdir = /magus/work/usr/mports/x11-toolkits/py-gtk2/work/pygtk-2.24.0/examples
abs_top_builddir = /magus/work/usr/mports/x11-toolkits/py-gtk2/work/pygtk-2.24.0
abs_top_srcdir = /magus/work/usr/mports/x11-toolkits/py-gtk2/work/pygtk-2.24.0
ac_ct_CC = cc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = amd64-portbld-freebsd9.1
build_alias = amd64-portbld-freebsd9.1
build_cpu = amd64
build_os = freebsd9.1
build_vendor = portbld
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = amd64-portbld-freebsd9.1
host_alias = 
host_cpu = amd64
host_os = freebsd9.1
host_vendor = portbld
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = /usr/local/info
install_sh = ${SHELL} /magus/work/usr/mports/x11-toolkits/py-gtk2/work/pygtk-2.24.0/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
lt_ECHO = echo
mandir = /usr/local/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
pkgpyexecdir = ${pyexecdir}/pygtk
pkgpythondir = ${pythondir}/pygtk
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
pyexecdir = ${exec_prefix}/lib/python2.7/site-packages
pythondir = ${prefix}/lib/python2.7/site-packages
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
pygtklibdir = $(libdir)/pygtk/2.0
pygtklib_PYTHON = pygtk-demo/pygtk-demo.py
demodir = $(pygtklibdir)/demos
demoimgdir = $(demodir)/images
bin_SCRIPTS = pygtk-demo/pygtk-demo
CLEANFILES = pygtk-demo/pygtk-demo
EXTRA_DIST = pygtk-demo/pygtk-demo.in atk/atk-demo.py \
	gobject/editable-interface.py gobject/properties.py \
	gobject/signal.py gtk/application.py gtk/bin.py \
	gtk/customtreemodel.py gtk/filechooser.py gtk/scrollable.py \
	gtk/sizegroup.py gtk/uimanager.py gtk/widget.py \
	gtk/testprint.py glade/README glade/test.glade \
	glade/autoconnect.py glade/test2.glade glade/glade-demo.py \
	ide/README ide/break.xpm ide/browse.py ide/continue.xpm \
	ide/edit.py ide/edit.xpm ide/gtkcons.py ide/gtkdb.py \
	ide/gtkprof.py ide/minibreak.xpm ide/next.xpm ide/pyide.py \
	ide/quit.xpm ide/return.xpm ide/run.xpm ide/step.xpm \
	ide/dialogs.py pango/utf8-demo.py pango/pangocairo-simple.py \
	pango/extentdemo.py simple/README simple/dnd.py \
	simple/dndpixmap.py simple/hello.py simple/scribble.py \
	simple/simple.py simple/tooltip.py $(demoimg_DATA)
demo_PYTHON = \
	pygtk-demo/demos/__init__.py		\
	pygtk-demo/demos/appwindow.py		\
	pygtk-demo/demos/buttonbox.py		\
	pygtk-demo/demos/changedisplay.py	\
	pygtk-demo/demos/colorsel.py		\
	pygtk-demo/demos/dialogs.py		\
	pygtk-demo/demos/dnd.py			\
	pygtk-demo/demos/dndpixmap.py		\
	pygtk-demo/demos/editable_cells.py	\
	pygtk-demo/demos/entry_completion.py	\
	pygtk-demo/demos/expander.py		\
	pygtk-demo/demos/hypertext.py		\
	pygtk-demo/demos/images.py		\
	pygtk-demo/demos/list_store.py		\
	pygtk-demo/demos/menu.py		\
	pygtk-demo/demos/panes.py		\
	pygtk-demo/demos/pixbufs.py		\
	pygtk-demo/demos/print_editor.py	\
	pygtk-demo/demos/sizegroup.py		\
	pygtk-demo/demos/stock_browser.py	\
	pygtk-demo/demos/textscroll.py		\
	pygtk-demo/demos/textview.py		\
	pygtk-demo/demos/tooltip.py		\
	pygtk-demo/demos/tree_store.py		\
	pygtk-demo/demos/treemodel.py		\
	pygtk-demo/demos/statusicon.py		\
	pygtk-demo/demos/ui_manager.py		\
	pygtk-demo/demos/infobar.py

demoimg_DATA = \
	pygtk-demo/demos/images/alphatest.png		\
	pygtk-demo/demos/images/apple-red.png		\
	pygtk-demo/demos/images/background.jpg		\
	pygtk-demo/demos/images/floppybuddy.gif		\
	pygtk-demo/demos/images/gnome-applets.png	\
	pygtk-demo/demos/images/gnome-calendar.png	\
	pygtk-demo/demos/images/gnome-foot.png		\
	pygtk-demo/demos/images/gnome-gimp.png		\
	pygtk-demo/demos/images/gnome-gmush.png		\
	pygtk-demo/demos/images/gnome-gsame.png		\
	pygtk-demo/demos/images/gnu-keys.png		\
	pygtk-demo/demos/images/gtk-logo-rgb.gif

all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu examples/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu examples/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
install-binSCRIPTS: $(bin_SCRIPTS)
	@$(NORMAL_INSTALL)
	test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
	@list='$(bin_SCRIPTS)'; test -n "$(bindir)" || list=; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  if test -f "$$d$$p"; then echo "$$d$$p"; echo "$$p"; else :; fi; \
	done | \
	sed -e 'p;s,.*/,,;n' \
	    -e 'h;s|.*|.|' \
	    -e 'p;x;s,.*/,,;$(transform)' | sed 'N;N;N;s,\n, ,g' | \
	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1; } \
	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
	    if ($$2 == $$4) { files[d] = files[d] " " $$1; \
	      if (++n[d] == $(am__install_max)) { \
		print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
	    else { print "f", d "/" $$4, $$1 } } \
	  END { for (d in files) print "f", d, files[d] }' | \
	while read type dir files; do \
	     if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
	     test -z "$$files" || { \
	       echo " $(INSTALL_SCRIPT) $$files '$(DESTDIR)$(bindir)$$dir'"; \
	       $(INSTALL_SCRIPT) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
	     } \
	; done

uninstall-binSCRIPTS:
	@$(NORMAL_UNINSTALL)
	@list='$(bin_SCRIPTS)'; test -n "$(bindir)" || exit 0; \
	files=`for p in $$list; do echo "$$p"; done | \
	       sed -e 's,.*/,,;$(transform)'`; \
	test -n "$$list" || exit 0; \
	echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
	cd "$(DESTDIR)$(bindir)" && rm -f $$files

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
install-demoPYTHON: $(demo_PYTHON)
	@$(NORMAL_INSTALL)
	test -z "$(demodir)" || $(MKDIR_P) "$(DESTDIR)$(demodir)"
	@list='$(demo_PYTHON)'; dlist=; list2=; test -n "$(demodir)" || list=; \
	for p in $$list; do \
	  if test -f "$$p"; then b=; else b="$(srcdir)/"; fi; \
	  if test -f $$b$$p; then \
	    $(am__strip_dir) \
	    dlist="$$dlist $$f"; \
	    list2="$$list2 $$b$$p"; \
	  else :; fi; \
	done; \
	for file in $$list2; do echo $$file; done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(demodir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(demodir)" || exit $$?; \
	done || exit $$?; \
	if test -n "$$dlist"; then \
	  if test -z "$(DESTDIR)"; then \
	    PYTHON=$(PYTHON) $(py_compile) --basedir "$(demodir)" $$dlist; \
	  else \
	    PYTHON=$(PYTHON) $(py_compile) --destdir "$(DESTDIR)" --basedir "$(demodir)" $$dlist; \
	  fi; \
	else :; fi

uninstall-demoPYTHON:
	@$(NORMAL_UNINSTALL)
	@list='$(demo_PYTHON)'; test -n "$(demodir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	test -n "$$files" || exit 0; \
	filesc=`echo "$$files" | sed 's|$$|c|'`; \
	fileso=`echo "$$files" | sed 's|$$|o|'`; \
	echo " ( cd '$(DESTDIR)$(demodir)' && rm -f" $$files ")"; \
	cd "$(DESTDIR)$(demodir)" && rm -f $$files || exit $$?; \
	echo " ( cd '$(DESTDIR)$(demodir)' && rm -f" $$filesc ")"; \
	cd "$(DESTDIR)$(demodir)" && rm -f $$filesc || exit $$?; \
	echo " ( cd '$(DESTDIR)$(demodir)' && rm -f" $$fileso ")"; \
	cd "$(DESTDIR)$(demodir)" && rm -f $$fileso
install-pygtklibPYTHON: $(pygtklib_PYTHON)
	@$(NORMAL_INSTALL)
	test -z "$(pygtklibdir)" || $(MKDIR_P) "$(DESTDIR)$(pygtklibdir)"
	@list='$(pygtklib_PYTHON)'; dlist=; list2=; test -n "$(pygtklibdir)" || list=; \
	for p in $$list; do \
	  if test -f "$$p"; then b=; else b="$(srcdir)/"; fi; \
	  if test -f $$b$$p; then \
	    $(am__strip_dir) \
	    dlist="$$dlist $$f"; \
	    list2="$$list2 $$b$$p"; \
	  else :; fi; \
	done; \
	for file in $$list2; do echo $$file; done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(pygtklibdir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(pygtklibdir)" || exit $$?; \
	done || exit $$?; \
	if test -n "$$dlist"; then \
	  if test -z "$(DESTDIR)"; then \
	    PYTHON=$(PYTHON) $(py_compile) --basedir "$(pygtklibdir)" $$dlist; \
	  else \
	    PYTHON=$(PYTHON) $(py_compile) --destdir "$(DESTDIR)" --basedir "$(pygtklibdir)" $$dlist; \
	  fi; \
	else :; fi

uninstall-pygtklibPYTHON:
	@$(NORMAL_UNINSTALL)
	@list='$(pygtklib_PYTHON)'; test -n "$(pygtklibdir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	test -n "$$files" || exit 0; \
	filesc=`echo "$$files" | sed 's|$$|c|'`; \
	fileso=`echo "$$files" | sed 's|$$|o|'`; \
	echo " ( cd '$(DESTDIR)$(pygtklibdir)' && rm -f" $$files ")"; \
	cd "$(DESTDIR)$(pygtklibdir)" && rm -f $$files || exit $$?; \
	echo " ( cd '$(DESTDIR)$(pygtklibdir)' && rm -f" $$filesc ")"; \
	cd "$(DESTDIR)$(pygtklibdir)" && rm -f $$filesc || exit $$?; \
	echo " ( cd '$(DESTDIR)$(pygtklibdir)' && rm -f" $$fileso ")"; \
	cd "$(DESTDIR)$(pygtklibdir)" && rm -f $$fileso
install-demoimgDATA: $(demoimg_DATA)
	@$(NORMAL_INSTALL)
	test -z "$(demoimgdir)" || $(MKDIR_P) "$(DESTDIR)$(demoimgdir)"
	@list='$(demoimg_DATA)'; test -n "$(demoimgdir)" || list=; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(demoimgdir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(demoimgdir)" || exit $$?; \
	done

uninstall-demoimgDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(demoimg_DATA)'; test -n "$(demoimgdir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	test -n "$$files" || exit 0; \
	echo " ( cd '$(DESTDIR)$(demoimgdir)' && rm -f" $$files ")"; \
	cd "$(DESTDIR)$(demoimgdir)" && rm -f $$files
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(SCRIPTS) $(DATA)
installdirs:
	for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(demodir)" "$(DESTDIR)$(pygtklibdir)" "$(DESTDIR)$(demoimgdir)"; do \
	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
	done
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am: install-demoPYTHON install-demoimgDATA \
	install-pygtklibPYTHON

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am: install-binSCRIPTS

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man:

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-binSCRIPTS uninstall-demoPYTHON \
	uninstall-demoimgDATA uninstall-pygtklibPYTHON

.MAKE: install-am install-strip

.PHONY: all all-am check check-am clean clean-generic clean-libtool \
	distclean distclean-generic distclean-libtool distdir dvi \
	dvi-am html html-am info info-am install install-am \
	install-binSCRIPTS install-data install-data-am \
	install-demoPYTHON install-demoimgDATA install-dvi \
	install-dvi-am install-exec install-exec-am install-html \
	install-html-am install-info install-info-am install-man \
	install-pdf install-pdf-am install-ps install-ps-am \
	install-pygtklibPYTHON install-strip installcheck \
	installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-generic \
	mostlyclean-libtool pdf pdf-am ps ps-am uninstall uninstall-am \
	uninstall-binSCRIPTS uninstall-demoPYTHON \
	uninstall-demoimgDATA uninstall-pygtklibPYTHON

pygtk-demo/pygtk-demo: pygtk-demo/pygtk-demo.in
	@mkdir -p pygtk-demo
	@sed -e s!\@PYTHON\@!/usr/local/bin/python2.7! \
	     -e s!\@libdir\@!${exec_prefix}/lib! \
		< $< > $@
	@chmod a+x $@

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
